## ecbuild 3.12.0

=== CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

############################################################################################
# cmake options:
#
#       -DCMAKE_INSTALL_PREFIX=/path/to/install

cmake_minimum_required( VERSION 3.18 FATAL_ERROR )

set( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH} )


include( ecbuild )
project( ecbuild LANGUAGES C )

###############################################################################
# local project

configure_file( cmake/ecbuild_version.h.in ${CMAKE_BINARY_DIR}/ecbuild_version.h  )

# contents

ecbuild_add_resources(  TARGET ${PROJECT_NAME}_description_files
                        SOURCES_PACK
                            README.rst
                            INSTALL.rst
                            AUTHORS
                            NOTICE
                            LICENSE
                            COPYING
)

add_subdirectory( bin )
add_subdirectory( share )
add_subdirectory( cmake )
add_subdirectory( doc )

add_subdirectory( regressions )
add_subdirectory( tests )

install( DIRECTORY cmake DESTINATION ${INSTALL_DATA_DIR} PATTERN "CMakeLists.txt" EXCLUDE )

if( NOT CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR AND ECBUILD_2_COMPAT )
    # Required for ecbuild-2 packages when ecbuild is added using `add_subdirectory( ecbuild ) [See ECBUILD-460].

    # When adding ecbuild to your project using `add_subdirectory( ecbuild )`, and subsequently add a ecbuild-2 project
    # which by definition is not using `find_package( ecbuild )`, then the ecbuild-macros dir must be added to
    # the CMAKE_MODULE_PATH.
    # The `find_package( ecbuild ... )` works for the ecbuild-3-ported packages, as `ecbuild_DIR` gets defined in
    # `ecbuild_declare_project(ecbuild...)` of ecbuild during `add_subdirectory( ecbuild )`

    set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} PARENT_SCOPE )
endif()

############################################################################################
# finalize

ecbuild_install_project( NAME ${PROJECT_NAME} )

ecbuild_print_summary()

=== doc/CMakeLists.txt ===
#=============================================================================
# CMake - Cross Platform Makefile Generator
# Copyright 2000-2013 Kitware, Inc., Insight Software Consortium
#
# Distributed under the OSI-approved BSD License (the "License");
# see accompanying file Copyright.txt for details.
#
# This software is distributed WITHOUT ANY WARRANTY; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the License for more information.
#=============================================================================
option(SPHINX_MAN "Build man pages with Sphinx" OFF)
option(SPHINX_HTML "Build html help with Sphinx" OFF)
option(SPHINX_SINGLEHTML "Build html single page help with Sphinx" OFF)
option(SPHINX_QTHELP "Build Qt help with Sphinx" OFF)
option(SPHINX_TEXT "Build text help with Sphinx (not installed)" OFF)
find_program(SPHINX_EXECUTABLE
  NAMES sphinx-build
  DOC "Sphinx Documentation Builder (sphinx-doc.org)"
  )
set(SPHINX_FLAGS "" CACHE STRING "Flags to pass to sphinx-build")
separate_arguments(sphinx_flags UNIX_COMMAND "${SPHINX_FLAGS}")

mark_as_advanced(SPHINX_TEXT)
mark_as_advanced(SPHINX_FLAGS)

if(NOT SPHINX_MAN AND NOT SPHINX_HTML AND NOT SPHINX_SINGLEHTML AND NOT SPHINX_QTHELP AND NOT SPHINX_TEXT)
  return()
elseif(NOT SPHINX_EXECUTABLE)
  message(FATAL_ERROR "SPHINX_EXECUTABLE (sphinx-build) is not found!")
endif()

set(doc_formats "")
if(SPHINX_HTML)
  list(APPEND doc_formats html)
endif()
if(SPHINX_MAN)
  list(APPEND doc_formats man)
endif()
if(SPHINX_SINGLEHTML)
  list(APPEND doc_formats singlehtml)
endif()
if(SPHINX_TEXT)
  list(APPEND doc_formats text)
endif()
if(SPHINX_QTHELP)
  find_package(PythonInterp REQUIRED)

  find_program(QCOLLECTIONGENERATOR_EXECUTABLE
    NAMES qcollectiongenerator
    DOC "qcollectiongenerator tool"
    )
  if (NOT QCOLLECTIONGENERATOR_EXECUTABLE)
    message(FATAL_ERROR "QCOLLECTIONGENERATOR_EXECUTABLE (qcollectiongenerator) not found!")
  endif()
  list(APPEND doc_formats qthelp)

  set(qthelp_extra_commands
    # Workaround for assistant prior to
    # https://codereview.qt-project.org/#change,82250 in Qt 4.
    COMMAND ${CMAKE_COMMAND} "-DCSS_DIR=${CMAKE_CURRENT_BINARY_DIR}/qthelp/_static"
      -P "${CMAKE_CURRENT_SOURCE_DIR}/apply_qthelp_css_workaround.cmake"
    # Workaround sphinx configurability:
    # https://bitbucket.org/birkenfeld/sphinx/issue/1448/make-qthelp-more-configurable
    COMMAND ${CMAKE_COMMAND} "-DQTHELP_DIR=${CMAKE_CURRENT_BINARY_DIR}/qthelp/"
      "-DCMake_VERSION=${CMake_VERSION_MAJOR}${CMake_VERSION_MINOR}${CMake_VERSION_PATCH}"
      -P "${CMAKE_CURRENT_SOURCE_DIR}/fixup_qthelp_names.cmake"

    # Create proper identifiers. Workaround for
    # https://bitbucket.org/birkenfeld/sphinx/issue/1491/qthelp-should-generate-identifiers-for
    COMMAND "${PYTHON_EXECUTABLE}"
      "${CMAKE_CURRENT_SOURCE_DIR}/create_identifiers.py"
      "${CMAKE_CURRENT_BINARY_DIR}/qthelp/"

    COMMAND ${QCOLLECTIONGENERATOR_EXECUTABLE}
      ${CMAKE_CURRENT_BINARY_DIR}/qthelp/CMake.qhcp
  )
endif()


set(doc_format_outputs "")
set(doc_format_last "")
foreach(format ${doc_formats})
  set(doc_format_output "doc_format_${format}")
  set(doc_format_log "build-${format}.log")
  add_custom_command(
    OUTPUT ${doc_format_output}
    COMMAND ${SPHINX_EXECUTABLE}
            -c ${CMAKE_CURRENT_SOURCE_DIR}
            -d ${CMAKE_CURRENT_BINARY_DIR}/doctrees
            -b ${format}
            ${sphinx_flags}
            ${CMAKE_CURRENT_SOURCE_DIR}
            ${CMAKE_CURRENT_BINARY_DIR}/${format}
            > ${doc_format_log} # log stdout, pass stderr
    ${${format}_extra_commands}
    DEPENDS ${doc_format_last}
    COMMENT "sphinx-build ${format}: see doc/${doc_format_log}"
    VERBATIM
    )
  set_property(SOURCE ${doc_format_output} PROPERTY SYMBOLIC 1)
  list(APPEND doc_format_outputs ${doc_format_output})
  set(doc_format_last ${doc_format_output})
endforeach()

add_custom_target(documentation ALL DEPENDS ${doc_format_outputs})

=== share/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

# ecbuild_add_resources( TARGET ecbuild_share
#	SOURCE_PACK ecmwf_license_header.txt
#	DONT_PACK_DIRS ecbuild )

# install( DIRECTORY ecbuild/toolchains USE_SOURCE_PERMISSIONS DESTINATION ${INSTALL_DATA_DIR} )
install( DIRECTORY ecbuild/check_linker DESTINATION ${INSTALL_DATA_DIR} )

=== tests/CMakeLists.txt ===
add_subdirectory( bundle_options )
add_subdirectory( bundle_subdir )
add_subdirectory( bundle_subproj ) # ECBUILD-460
add_subdirectory( bundle_override_features ) # ECBUILD-486
add_subdirectory( ecbuild_regex_escape )
add_subdirectory( ecbuild_remove_fortran_flags ) # ECBUILD-484
add_subdirectory( ecbuild_add_option )
add_subdirectory( ecbuild_add_option_multiproject_defaults )
add_subdirectory( ecbuild_add_flags )
add_subdirectory( ecbuild_find_package )
add_subdirectory( ecbuild_find_python )
add_subdirectory( find_ecbuild )
add_subdirectory( ecbuild_shared_libs )
add_subdirectory( interface_library )
add_subdirectory( project_import )
add_subdirectory( project_options )
add_subdirectory( project_options_cached )
add_subdirectory( project_options_cached_multiproject )
add_subdirectory( project_summary )
add_subdirectory( ecbuild_override_compiler_flags )
add_subdirectory( test_properties )
add_subdirectory( test_requires_simple )
add_subdirectory( test_requires_complex )
add_subdirectory( test_custom_build_type )

=== examples/boost-python-lib/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.18 FATAL_ERROR )

find_package(ecbuild REQUIRED)
project( mypython VERSION 0.10.0 LANGUAGES CXX )

###############################################################################
# find extra packages

# Python
# Can specify non-default distribution with CMake variable PYTHON_EXECUTABLE
ecbuild_find_python()
ecbuild_info("PYTHON_EXECUTABLE    : ${PYTHON_EXECUTABLE}")
ecbuild_info("PYTHON_INCLUDE_DIRS  : ${PYTHON_INCLUDE_DIRS}")
ecbuild_info("PYTHON_LIBRARIES     : ${PYTHON_LIBRARIES}")

# Boost
# Can specify non-default distribution with CMake variable BOOST_ROOT
set( Boost_MINIMUM_VERSION "1.47" )
find_package( Boost ${Boost_MINIMUM_VERSION} REQUIRED
              COMPONENTS python )
ecbuild_info("Boost_LIBRARIES     : ${Boost_LIBRARIES}" )

###############################################################################
# Contents

ecbuild_add_library( TARGET       mypython
                     INCLUDES     ${Boost_INCLUDE_DIR} ${PYTHON_INCLUDE_DIRS}
                     PRIVATE_LIBS ${Boost_LIBRARIES} ${PYTHON_LIBRARIES}
                     SOURCES      pythonlib.hpp pythonlib.cpp )
configure_file( mypython.py       ${CMAKE_BINARY_DIR}/lib COPYONLY )

############################################################################################
# Installation

ecbuild_install_project( NAME python_project )

###############################################################################
# Summary

ecbuild_print_summary()



ecbuild_info( "" )
ecbuild_info( "To test the library:" )
ecbuild_info( "--------------------" )
ecbuild_info( "make" )
ecbuild_info( "cd ${CMAKE_CURRENT_BINARY_DIR}/lib" )
ecbuild_info( "python" )
ecbuild_info( ">>> import libmypython" )
ecbuild_info( ">>> help(libmypython)" )
ecbuild_info( "" )
ecbuild_info( "---------------------------------------------------------" )

=== examples/config-bundle/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.18 FATAL_ERROR )

find_package(ecbuild REQUIRED)
project( config_bundle VERSION 0.1 LANGUAGES C )

ecbuild_bundle_initialize()

# Use command "make update" to update branches to latest develop version
ecbuild_bundle( PROJECT subproj1 )
ecbuild_bundle( PROJECT subproj2 )

# Finalize
ecbuild_bundle_finalize()

=== examples/cpp-bundle-nested/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.18 FATAL_ERROR )

find_package( ecbuild REQUIRED )
project( cpp_bundle_nested VERSION 0.10.0 LANGUAGES C CXX )

ecbuild_bundle_initialize()

ecbuild_bundle( PROJECT bar )
ecbuild_bundle( PROJECT baz )

ecbuild_bundle_finalize()

=== examples/cpp-bundle/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.18 FATAL_ERROR )

find_package(ecbuild REQUIRED)
project( cpp_bundle VERSION 0.10.0 LANGUAGES C CXX )

ecbuild_bundle_initialize()

ecbuild_bundle( PROJECT foo )
ecbuild_bundle( PROJECT bar )

ecbuild_bundle_finalize()

=== examples/cxx11/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.18 FATAL_ERROR )

find_package(ecbuild REQUIRED)
project( cxx11 VERSION 0.0.1 LANGUAGES CXX )

### definitions

set(CMAKE_CXX_STANDARD 11)

### targets

ecbuild_add_executable( TARGET compute
                        SOURCES compute.cc )

### finalize project

ecbuild_install_project( NAME ${PROJECT_NAME} )

ecbuild_print_summary()

=== examples/fortran-compile-options/CMakeLists.txt ===
cmake_minimum_required( VERSION 3.18 FATAL_ERROR )

find_package(ecbuild HINTS ${CMAKE_CURRENT_SOURCE_DIR}/../.. )

project( fortran_compile_options VERSION 0.0.0 LANGUAGES Fortran )


#######################################################################################################
### Compilation without affecting this scope, using target_compile_options

# Compile program in single precision
ecbuild_add_executable(TARGET main_r4 SOURCES main.F90)
target_compile_options(main_r4 PUBLIC $<$<COMPILE_LANGUAGE:Fortran>:${ECBUILD_Fortran_COMPILE_OPTIONS_REAL4}>)

# Compile program in double precision
ecbuild_add_executable(TARGET main_r8 SOURCES main.F90)
target_compile_options(main_r8 PUBLIC $<$<COMPILE_LANGUAGE:Fortran>:${ECBUILD_Fortran_COMPILE_OPTIONS_REAL8}>)

#######################################################################################################
### Compilation affecting this scope. Warning, also targets above in this scope are affected!

# We can add flags as a single argument with semi-colon separated options as given by list
ecbuild_add_fortran_flags( -Dfoo;-Dbar )

# We can add flags as a expanded list
ecbuild_add_fortran_flags( -Dbas -Dbaz )

# Test that we can add an empty variable
set( empty )
ecbuild_add_fortran_flags( ${empty} )

ecbuild_add_executable(TARGET main SOURCES main.F90)

=== examples/fortran/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.18 FATAL_ERROR )

find_package( ecbuild REQUIRED )
project( compute_circle VERSION 0.10.0 LANGUAGES Fortran )

### options

ecbuild_add_option( FEATURE AREA_COMPUTER
                    DESCRIPTION "Wether we should build the area_computer executable" )

### lib const

ecbuild_add_library(
    TARGET  const
    TYPE    STATIC
    SOURCES constants.f90
    )

### lib area_circle

ecbuild_list_add_pattern( LIST area_srcs GLOB "*.f*" )

ecbuild_list_exclude_pattern( LIST area_srcs REGEX old.*f90 ^const.* .*f95 main.[fF]90 api/* )

ecbuild_generate_fortran_interfaces(

    TARGET      intf_circ

    SOURCE_DIR  ${CMAKE_CURRENT_SOURCE_DIR}

    DIRECTORIES api/area api/volume

    DESTINATION  api
)

ecbuild_add_library(

    TARGET  api_objs

    TYPE    OBJECT

    SOURCES_GLOB  "api/area/*.F90" "api/volume/*.F90"
)

ecbuild_add_library(
    TARGET      area_circle
    SOURCES     ${area_srcs}
    OBJECTS     api_objs
    PUBLIC_LIBS const intf_circ
)

# application conditionally compiled

ecbuild_add_executable(
    TARGET  area_computer
    SOURCES main.F90
    LIBS area_circle
    CONDITION HAVE_AREA_COMPUTER
    )

### finalize project

ecbuild_pkgconfig(
    NAME area_circle
    DESCRIPTION "A library to compute the area of a circle"
    LIBRARIES area_circle
    )

ecbuild_install_project( NAME ${PROJECT_NAME} )

ecbuild_print_summary()

=== examples/mix/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.18 FATAL_ERROR )

find_package( ecbuild REQUIRED )
project( mix VERSION 0.10.0 LANGUAGES CXX Fortran )

### targets

add_subdirectory( fort )

add_subdirectory( cpp )

### pkgconfig exports

ecbuild_pkgconfig( NAME fortbar DESCRIPTION "A fortran library bar" LIBRARIES fortbar )
ecbuild_pkgconfig( NAME fortbaz DESCRIPTION "A fortran library baz" LIBRARIES fortbaz )

### finalize project

ecbuild_install_project( NAME ${PROJECT_NAME} )

ecbuild_print_summary()

=== debian/changelog ===
ecbuild (3.12.0-1) unstable; urgency=medium

  * New upstream release
  * Update d/watch to version 4

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Oct 2025 09:16:37 +0100

ecbuild (3.11.0-3) unstable; urgency=medium

  * Build-dep on python3-all-dev. Closes: #1110797

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Aug 2025 13:09:11 +0100

ecbuild (3.11.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Aug 2025 12:02:34 +0100

=== debian/control ===
Source: ecbuild
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13),
  gfortran  | fortran-compiler,
  python3-all-dev,
  cmake
Standards-Version: 4.7.2
Homepage: https://confluence.ecmwf.int/spaces/viewspace.action?key=ecbuild
Vcs-Browser: https://salsa.debian.org/science-team/ecbuild.git
Vcs-Git: https://salsa.debian.org/science-team/ecbuild.git -b debian/latest

Package: ecbuild
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends},
 cmake,
 gfortran  | fortran-compiler,
 chrpath,
Enhances: debhelper
Provides: dh-sequence-ecbuild
Description: Build system for ECMWF software
 This is a toolkit from ECMWF extend CMAKE with macros used at ECMWF.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=cmake

#override_dh_auto_clean:
#	$(RM) -f debian/dh_ecbuild

override_dh_auto_configure:
	# Don't use multiarch paths
	dh_auto_configure --  -DCMAKE_INSTALL_LIBDIR=/usr/lib

debian/dh_ecbuild: debian/dh_ecbuild.in
	sed 's/@VERSION@/$(DEB_VERSION)/' $< > $@
	chmod 0755 $@

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/ecbuild/usr/share/ecbuild/cmake/sg.pl
	# chmod -x debian/ecbuild/usr/share/ecbuild/toolchains/preprocess_cray_fortran

override_dh_install:
	dh_install
	sed -i -e 's@$(CURDIR)@/usr/share/ecbuild@g' debian/ecbuild/usr/lib/cmake/ecbuild/ecbuild-post-import.cmake

=== debian/watch ===
version=4
https://github.com/ecmwf/ecbuild/tags .*/v?(\d.*)@ARCHIVE_EXT@

## ecbuild 3.13.0

=== tests/ecbuild_install_dependency_with_soversion/CMakeLists.txt ===
ecbuild_add_test(
  TARGET     test_ecbuild_install_dependency_with_soversion
  TYPE       SCRIPT
  COMMAND    ${CMAKE_CURRENT_SOURCE_DIR}/run-test.sh
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

=== tests/ecbuild_install_dependency_with_soversion/libfoo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18 FATAL_ERROR)
project(foo VERSION 1.33.7 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

add_library(foo SHARED
    src/foo.cc
)
target_include_directories(foo
    PUBLIC
        $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src/include>
        $<INSTALL_INTERFACE:include>
)
set_target_properties(foo
    PROPERTIES
        VERSION ${PROJECT_VERSION}
        SOVERSION ${PROJECT_VERSION_MAJOR}
        PUBLIC_HEADER "src/include/foo/foo.h"
)
add_executable(foo_test
    src/test_foo.cc
)
target_link_libraries(foo_test PRIVATE foo)

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

install(
    TARGETS foo
    EXPORT fooTargets
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/foo
)
install(
    EXPORT fooTargets
    FILE fooTargets.cmake
    NAMESPACE foo::
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/foo
)
write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/fooConfigVersion.cmake"
    VERSION ${PROJECT_VERSION}
    COMPATIBILITY SameMajorVersion
)
install(FILES
    ${CMAKE_CURRENT_LIST_DIR}/cmake/fooConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/fooConfigVersion.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/foo
)

=== debian/changelog ===
ecbuild (3.13.0-1) unstable; urgency=medium

  * New upstream release
  * Reproducibility patch: dont remove defines, set as fixed strings
    as they are needed by eg eckit

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Dec 2025 08:54:14 +0000

ecbuild (3.12.0-2) unstable; urgency=medium

  * Drop lines in ecbuild_config.h files that break reproducubility
  * d/copyright: format fixes for licenserecon

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Dec 2025 13:22:02 +0000

## ecbuild 3.13.1

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -22,3 +22,4 @@
 add_subdirectory( test_requires_simple )
 add_subdirectory( test_requires_complex )
 add_subdirectory( test_custom_build_type )
+add_subdirectory( ecbuild_install_dependency_with_soversion )

=== debian/changelog ===
ecbuild (3.13.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 31 Jan 2026 08:17:12 +0000
